Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1502869 - (CVE-2017-10355) CVE-2017-10355 OpenJDK: no default network operations timeouts in FtpClient (Networking, 8181612)
CVE-2017-10355 OpenJDK: no default network operations timeouts in FtpClient (...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20171017,repor...
: Security
Depends On: 1499213 1499214 1499215 1499216 1499223 1499224 1499225 1499226 1503325 1503326 1503327 1503328 1503329 1503330 1503331 1503332 1503333 1503334 1503335 1503336 1515469 1515470 1515471 1515472 1516384 1516385 1516386 1516387
Blocks: 1499210
  Show dependency treegraph
 
Reported: 2017-10-16 17:33 EDT by Tomas Hoger
Modified: 2018-08-01 13:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
It was found that the FtpClient implementation in the Networking component of OpenJDK did not set connect and read timeouts by default. A malicious FTP server or a man-in-the-middle attacker could use this flaw to block execution of a Java application connecting to an FTP server.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 09:14:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2998 normal SHIPPED_LIVE Critical: java-1.8.0-openjdk security update 2017-10-20 11:31:56 EDT
Red Hat Product Errata RHSA-2017:2999 normal SHIPPED_LIVE Critical: java-1.8.0-oracle security update 2017-12-14 15:18:50 EST
Red Hat Product Errata RHSA-2017:3046 normal SHIPPED_LIVE Important: java-1.7.0-oracle security update 2017-12-14 15:24:06 EST
Red Hat Product Errata RHSA-2017:3047 normal SHIPPED_LIVE Important: java-1.6.0-sun security update 2017-12-14 15:18:13 EST
Red Hat Product Errata RHSA-2017:3264 normal SHIPPED_LIVE Critical: java-1.8.0-ibm security update 2017-11-27 18:04:39 EST
Red Hat Product Errata RHSA-2017:3267 normal SHIPPED_LIVE Critical: java-1.8.0-ibm security update 2017-11-28 20:40:15 EST
Red Hat Product Errata RHSA-2017:3268 normal SHIPPED_LIVE Critical: java-1.7.1-ibm security update 2017-11-28 20:43:15 EST
Red Hat Product Errata RHSA-2017:3392 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security and bug fix update 2017-12-06 13:42:07 EST
Red Hat Product Errata RHSA-2017:3453 normal SHIPPED_LIVE Important: java-1.8.0-ibm security update 2017-12-13 16:48:15 EST

  None (edit)
Description Tomas Hoger 2017-10-16 17:33:55 EDT
It was found that the FtpClient implementation in the Networking component of OpenJDK did not set connect and read timeouts by default.  A malicious FTP server or a man-in-the-middle attacker could use this flaw to block execution of a Java application connecting to an FTP server.
Comment 2 Tomas Hoger 2017-10-17 15:37:03 EDT
Oracle JDK release notes include the following note regarding this fix:

  core-libs/java.net
  Default timeouts have changed for FTP URL handler

  Timeouts used by the FTP URL protocol handler have been changed from
  infinite to 5 minutes. This will result in an IOException from connect and
  read operations if the FTP server is unresponsive. For example, new
  URL("ftp://example.com").openStream().read(), will fail with
  java.net.SocketTimeoutException in case a connection or reading could not
  be completed within 5 minutes.

  To revert this behaviour to that of previous releases, the following system
  properties may be used, sun.net.client.defaultReadTimeout=0,
  sun.net.client.defaultConnectTimeout=0

  JDK-8181612 (not public)

http://www.oracle.com/technetwork/java/javase/9-0-1-relnotes-3883752.html
http://www.oracle.com/technetwork/java/javase/8u151-relnotes-3850493.html
http://www.oracle.com/technetwork/java/javaseproducts/documentation/javase7supportreleasenotes-1601161.html#R170_161
http://www.oracle.com/technetwork/java/javase/documentation/overview-156328.html#R160_171
Comment 3 Tomas Hoger 2017-10-17 16:56:21 EDT
Public now via Oracle CPU October 2017:

http://www.oracle.com/technetwork/security-advisory/cpuoct2017-3236626.html#AppendixJAVA

The issue was fixed in Oracle JDK 9.0.1, 8u151, 7u161, and 6u171.
Comment 7 Tomas Hoger 2017-10-18 05:49:15 EDT
OpenJDK-8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/84b0fbbfb8d6
Comment 8 errata-xmlrpc 2017-10-20 07:34:29 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:2998 https://access.redhat.com/errata/RHSA-2017:2998
Comment 9 errata-xmlrpc 2017-10-23 03:50:01 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2017:2999 https://access.redhat.com/errata/RHSA-2017:2999
Comment 10 errata-xmlrpc 2017-10-24 08:14:10 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2017:3047 https://access.redhat.com/errata/RHSA-2017:3047
Comment 11 errata-xmlrpc 2017-10-24 08:19:55 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2017:3046 https://access.redhat.com/errata/RHSA-2017:3046
Comment 14 errata-xmlrpc 2017-11-27 13:06:31 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2017:3264 https://access.redhat.com/errata/RHSA-2017:3264
Comment 15 errata-xmlrpc 2017-11-28 15:42:15 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2017:3267 https://access.redhat.com/errata/RHSA-2017:3267
Comment 16 errata-xmlrpc 2017-11-28 15:45:06 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary
  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2017:3268 https://access.redhat.com/errata/RHSA-2017:3268
Comment 17 errata-xmlrpc 2017-12-06 08:44:59 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:3392 https://access.redhat.com/errata/RHSA-2017:3392
Comment 18 errata-xmlrpc 2017-12-13 11:56:18 EST
This issue has been addressed in the following products:

  Red Hat Satellite 5.8
  Red Hat Satellite 5.8 ELS

Via RHSA-2017:3453 https://access.redhat.com/errata/RHSA-2017:3453

Note You need to log in before you can comment on or make changes to this bug.